package com.bocloud.cmp.provider.nsx;

import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;
import com.bocloud.nms.model.nsx.NsxComputeManagerModel;

/**
 * nsx计算管理器
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年3月17日
 */
public interface ComputeManagerProvider extends SuperProvider {
    BocloudResult list();

    BocloudResult create(NsxComputeManagerModel model);

    BocloudResult remove(String managerId);

    BocloudResult detail(String managerId);

    BocloudResult update(NsxComputeManagerModel model);
}
